org.apache.cassandra.utils

## Class ExpiringMap.CacheableObject<T>

- java.lang.Object
- - org.apache.cassandra.utils.ExpiringMap.CacheableObject<T>

Enclosing class:
  ExpiringMap<K,V>

    public static class ExpiringMap.CacheableObject<T>
    extends java.lang.Object

### Field Summary

Fields
`long` `timeout`
`T` `value`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### value

    public final T value

#### timeout

    public final long timeout